statistics-0.13.2.3: A library of statistical types, data, and functions

Copyright | 2014 Bryan O'Sullivan
License | BSD3
Safe Haskell | None
Language | Haskell98

Statistics.Matrix.Algorithms

Description

Useful matrix functions.

Synopsis

- qr :: Matrix -> (Matrix, Matrix)

# Documentation

qr :: Matrix -> (Matrix, Matrix) Source

O(r*c) Compute the QR decomposition of a matrix. The result returned is the matrices (q,r).